From Fedora Project Wiki

Line 20: Line 20:
 
* Update your system using the standard updater for your desktop or {{command|dnf}}:
 
* Update your system using the standard updater for your desktop or {{command|dnf}}:
 
<pre>$ sudo dnf upgrade --refresh</pre>  
 
<pre>$ sudo dnf upgrade --refresh</pre>  
*
 
 
* A list of all the commands are listed here[http://dnf.readthedocs.io/en/latest/command_ref.html]
 
* A list of all the commands are listed here[http://dnf.readthedocs.io/en/latest/command_ref.html]
  

Revision as of 07:50, 3 May 2017

Description

DNF-2.0 is the next upcoming major version of DNF package manager. Unfortunately, it brings some incompatibilities with previous version of DNF (DNF-1) which were either needed to preserve compatibility with YUM CLI or where bigger redesigns were needed. A list of identified incompatible changes can be found here[1].This test case identifies how to test basic commands , plugins and third party software.

Setup

Back up your important data. Every system change is potentially risky, be prepared. In case you update your workstation, it is also wise to download a Workstation Live image and make sure your hardware (graphics card, wifi, etc) works well with the latest kernel and drivers.

  • you can install DNF-2 from this COPR repo for testing
  • testing scenarios:
    • anaconda installation
    • upgrade from previous Fedora version
    • core functionality: install, upgrade, remove, repoquery
    • dnf-plugins: copr, system-upgrade, download
    • third party software: mock, yumex

How to test

  • Enable and install the copr repo dnf:
 $ dnf copr enable rpmsoftwaremanagement/dnf-nightly
  • Install updates from enabled repo
 $ dnf update 
  • Install, upgrade and remove packages dnf:
$ sudo dnf [OPTION] foo
  • Update your system using the standard updater for your desktop or dnf:
$ sudo dnf upgrade --refresh
  • A list of all the commands are listed here[2]

Expected Results

  • Repo will enable and install without throwing any error
  • System will successfully upgrade to desired version
  • Commands listed in[3] should work fine
  • System Upgrade should be able to update the system from older version